PACKER(8)

NAME
packer - package manager utility for pacman repositories and the AUR

SYNOPSIS

pacman <operation> [options] [packages]

DESCRIPTION

Packer is a bash wrapper for pacman and the AUR. It was designed to be a simple and very fast replacement for the basic functionality of yaourt. It allows you to install, update, search, and show information for any package in the main repositories and in the AUR. For other commands, such as removing packages, use pacman.

OPERATIONS

-Ss
    Search for a package.

-S
    Install a package.

-Syu
    Sync with repositories.

-Si
    Show information for a package.

-G
    Download and extract AUR package tarballs, but don’t install anything.

-h
    Show packer usage.

OPTIONS

--ignore <'package'>
    Ignore packages. Separate package names with a comma.

--noconfirm
    Perform commands without confirmation from the user.

--noedit
    Perform commands without asking if the user wants to edit any installation files.

--quickcheck
    Check for updates and exit.

--auronly
    Only perform commands for the AUR.

--devel
    Update development packages. (cvs, git...)

--skipinteg
    Skip the integrity check by ignoring AUR package MD5 sums.

--preview
    Always offer to edit the pkgbuild before sourcing it. To always force preview, 'alias packer="packer --preview"'

INTERACTIVE MODE

Use packer without any operations or options to use the interactive mode. Packer will show a numbered list of search results. To install a package, enter the corresponding number.

EXAMPLE USAGE

    • Sync and update all packages: packer -Syu

    • Update only AUR packages: packer -Syu --auronly

    • Update, and reinstall packages that were installed from a revision control source: packer -Syu --devel

For a package called name:

    • Search: packer -Ss name

    • Install: packer -S name

    • Install without confirmations: packer -S --noconfirm name

    • Get information about a package: packer -Si name

    • Search and install in interactive mode: packer name

CONFIGURATION

Packer uses these settings in /etc/pacman.conf:

    • IgnorePkg

Packer output will be colorized unless the environmental variable COLOR is set to `NO'.

To manually edit files, packer uses the EDITOR variable. If EDITOR is not set then the default editor is vi.

Packages are built in the TMPDIR path. If the TMPDIR variable is not set then the default path is /tmp

SEE ALSO

pacman(8)

AUTHORS

Matthew Bruenig <matthewbruenig@gmail.com>